std::basic_string::rbegin,(3)

NAME
std::basic_string::rbegin, - std::basic_string::rbegin,

Synopsis
   reverse_iterator rbegin(); (until C++11)
   reverse_iterator rbegin() noexcept; (since C++11)
                        (until C++20)
   constexpr reverse_iterator rbegin() noexcept; (since C++20)
   const_reverse_iterator rbegin() const; (until
                        C++11)
                        (since
   const_reverse_iterator rbegin() const C++11)
   noexcept; (1) (until
                        C++20)
   constexpr const_reverse_iterator rbegin() (2) (since
   const noexcept; C++20)
                        (since
   const_reverse_iterator crbegin() const C++11)
   noexcept; (3) (until
                        C++20)
   constexpr const_reverse_iterator crbegin() (since
   const noexcept; C++20)
   Returns a reverse iterator to the first character of the reversed string. It
   corresponds to the last character of the non-reversed string.
   range-rbegin-rend.svg

Parameters
   (none)

Return value
   reverse iterator to the first character

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <algorithm>
 #include <iterator>
 #include <string>
 int main()
 {
     std::string s("Exemplar!");
     *s.rbegin() = 'y';
     std::cout << s << '\n'; // "Exemplary"
     std::string c;
     std::copy(s.crbegin(), s.crend(), std::back_inserter(c));
     std::cout << c << '\n'; // "yralpmexE"
 }

Output:
 Exemplary
 yralpmexE

See also
   rend returns a reverse iterator to the end
   crend (public member function)
   (C++11)
   rbegin returns a reverse iterator to the beginning
   crbegin (public member function of std::basic_string_view<CharT,Traits>)
   (C++17)